# Class ColorConfig.AppearanceSettings

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents configuration settings that define the visual appearance of an application or user interface element.

    public class ColorConfig.AppearanceSettings

Inheritance
  object
  ColorConfig.AppearanceSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### BackgroundColor

    public string? BackgroundColor { get; set; }

#### Property Value

string

### Icon

    public string? Icon { get; set; }

#### Property Value

string

### IconCategory

    public string? IconCategory { get; set; }

#### Property Value

string

### IconColor

    public string? IconColor { get; set; }

#### Property Value

string

### IconDefault

    public string? IconDefault { get; set; }

#### Property Value

string

### IconInvertColor

    public double IconInvertColor { get; set; }

#### Property Value

double

### TextColor

    public string? TextColor { get; set; }

#### Property Value

string